#ifndef TRX_H
#define TRX_H

#include <Arduino.h>
#include "config.h"

class TRX {
  public:
    long BandData[BAND_COUNT+1]; 
    int BandIndex;
    long Freq;
    uint8_t sideband;
    uint8_t CW;
    uint8_t TX;
    
       TRX();
    void SwitchToBand(int band);
    void NextBand();
    void PrevBand();
    void ChangeFreq(long freq_delta);
    uint8_t inCW();
    uint16_t StateHash();
    void StateSave();
    void StateLoad();
};

#endif
