#ifndef DISP_MAX7219_H
#define DISP_MAX7219_H

#if ARDUINO < 100
#include <WProgram.h>
#else
#include <Arduino.h>
#endif
#include "TRX.h"

class Display_MAX7219 {
  private:
    long lastfreq;

  public:
	  void setup();
	  void Draw(TRX& trx);
    void DrawMenu(int id, char* text, int value, uint8_t edit);
    void clear();
};

#endif
