void vfo_set_freq(long f1, long f2, long f3)
{
  #ifdef VFO_SI5351
    vfo5351.set_freq(f1,f2,f3);
  #endif
}
void UpdateFreq() 
{
  uint8_t cwtx = trx.TX;
#ifdef MODE_SINGLE_IF
  #if defined(SSBDetectorFreq_USB) && defined(SSBDetectorFreq_LSB)
    vfo_set_freq( // инверсия боковой - гетеродин сверху
     CLK0_MULT*(trx.Freq + (trx.sideband == LSB ? (SSBDetectorFreq_USB))),
      cwtx? 0: CLK1_MULT*Settings[ID_CLK1]*1000,      
);
  #elif defined(SSBDetectorFreq_USB)
    long f = trx.Freq;
    if (trx.sideband == LSB) {
      f+=(SSBDetectorFreq_USB);
    } else {
      f = abs((SSBDetectorFreq_USB)-f);
    }
    vfo_set_freq(
      CLK0_MULT*f,   
       cwtx? 0: CLK1_MULT*Settings[ID_CLK1]*1000,
      #ifdef CWTX_DIRECT_FREQ
        cwtx? trx.Freq+(trx.sideband == LSB ? ): 0
      #else
        cwtx? (SSBDetectorFreq_USB): 0
      #endif
);
    #endif 
#endif
}
